> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Provision Number

> Purchase and configure a phone number via Twilio.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json post /v1/voice/phone
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/phone:
    post:
      tags:
        - Phone
      summary: Provision Number
      description: Purchase and configure a phone number via Twilio.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: location_id
          in: query
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                phone_number:
                  type: string
                  pattern: ^\+1\d{10}$
                emergency_address:
                  type: object
                  properties:
                    customer_name:
                      type: string
                      minLength: 1
                    street:
                      type: string
                      minLength: 1
                    city:
                      type: string
                      minLength: 1
                    region:
                      type: string
                      minLength: 2
                      maxLength: 2
                    postal_code:
                      type: string
                      minLength: 5
                  required:
                    - customer_name
                    - street
                    - city
                    - region
                    - postal_code
              required:
                - phone_number
                - emergency_address
      responses:
        '200':
          description: Provisioned phone number
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/ProvisionedNumber'
                  request_id:
                    type: string
                required:
                  - data
                  - request_id
      security:
        - bearerAuth: []
components:
  schemas:
    ProvisionedNumber:
      type: object
      properties:
        phone_number:
          type: string
        phone_sid:
          type: string
        sip_domain:
          type: string
      required:
        - phone_number
        - phone_sid
        - sip_domain
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````